# Interface BoolExp<T>

interface BoolExp<T> {
_and?: T[];
_not?: T;
_or?: T[];
return?: {
[key: string]: ReturnBoolExp;
};
}

#### Type Parameters

- T

#### Hierarchy (view full)

- BoolExp
  - ReturnBoolExp
  - BoolExpLink
  - BoolExpValue
  - BoolExpCan
  - BoolExpSelector
  - BoolExpTree
  - BoolExpHandler

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:19

#####
Index

### Properties

_and?
_not?
_or?
return?

##
Properties

### `Optional`_and

_and?: T[]

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:20

### `Optional`_not

_not?: T

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:22

### `Optional`_or

_or?: T[]

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:21

### `Optional` return

return?: {
[key: string]: ReturnBoolExp;
}

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:23